import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;


public class Main
{

	private static final Random random_ = new Random(System.currentTimeMillis());

	public static void main(String... args)
	{

		final List<Integer> list = getRandomList(100);
		
		final JPanel guiSorter = new GuiSort(list);
		
		JFrame frame = new JFrame("GuiSort V1.0 - Ramin Rakhamimov");
		frame.setLayout(new BorderLayout());
		
		JButton sortButton = new JButton("Sort");
		JButton shuffleButton = new JButton("Shuffle");
		ActionListener listener = new ListSorter(list, guiSorter, sortButton, shuffleButton);
		
		shuffleButton.addActionListener(listener);
		sortButton.addActionListener(listener);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		JPanel buttonPanel = new JPanel(new GridLayout(1,2));
		buttonPanel.add(sortButton);
		buttonPanel.add(shuffleButton);
		frame.add(buttonPanel, BorderLayout.NORTH);
		frame.add(guiSorter, BorderLayout.CENTER);
		
		frame.pack();
		frame.setVisible(true);
	}
	
	public static List<Integer> getRandomList(int size)
	{
		List<Integer> list = new ArrayList<Integer>();
		for(int i = 0; i < size; i++)
		{
			list.add(random_.nextInt(GuiSort.HEIGHT));
		}
		
		return list;
	}


}
